Point users to "Watched issues"
Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The email footer points people to their email notification preferences, but people are notified of watched issues too. This is hard to

explain in a footer.

If "Watched issues" was on "My page" by default, it would be easier. Maybe below "Reported issues".

A link in the "Email notifications" section of "My account" would be helpful too.

Related issues:

Related to Redmine - Feature #574: Add "My issues" to main menu New

History

#1 - 2014-06-24 01:51 - Toshi MARUYAMA

- Category changed from Email notifications to My page

#2 - 2014-06-24 01:52 - Toshi MARUYAMA

- Related to Feature #574: Add "My issues" to main menu added

#3 - 2021-06-10 04:27 - Go MAEDA

- File issues_count_on_profile_page.png added

The profile page already shows "Assigned issues" and "Reported issues", so a new row "Watched issues" can be added there.

For privacy reasons, I think the new "Watched issue" row should be visible only to the user (invisible to other users).

 issues_count_on_profile_page.png 

#4 - 2021-06-10 04:28 - Go MAEDA

- Category changed from My page to Accounts / authentication

#5 - 2021-06-10 06:58 - Bernhard Rohloff

Go MAEDA wrote:

The profile page already shows "Assigned issues" and "Reported issues", so a new row "Watched issues" can be added there.

For privacy reasons, I think the new "Watched issue" row should be visible only to the user (invisible to other users).

 There's already a filter for that on the issues list view. We could add a link to the filtered issues in the notification mail.

I think that's more discoverable than a link in the user profile.

The 'watched issues on my-page' feature can be achieved by adding a custom query list, too.

#6 - 2021-06-25 10:01 - Takenori TAKAKI

- File 2714.patch added

I made a patch to add the "Watched issues" on profile page.

I think there is a possibility that users may be able to get new insights by looking at "Watched Issues" with "Assigned Issues" and "Reported Issues".
Files

issues_count_on_profile_page.png 61.8 KB 2021-06-10 Go MAEDA

2714.patch 3.59 KB 2021-06-25 Takenori TAKAKI
